Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002845Piwigoweb APIpublic2013.02.13 15:362013.04.11 12:18
Reporterflop25 
Assigned Toflop25 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.5.0RC2 
Summary0002845: can't escape comma for tags/keywords with ws_images_addSimple
Descriptionwe have
    $tag_names = explode(',', $params['tags']);
so every comma is used as a separator
Should use \ as an escape character
Additional Informationalso added 'tags' as potential array for pwg.images.addSimple
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0002886new Allow comma in tag 

-  Notes
(0006853)
svn (reporter)
2013.02.13 19:12

[Subversion] r20741 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2845
use of \ to escape the comma
"a, b\, 1" will give Array ( [0] => a [1] => b, 1 ) whatever the number of \
(0006855)
svn (reporter)
2013.02.18 19:55

[Subversion] r20814 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2845
added 'tags' as potential array for pwg.images.addSimple
(0006914)
flop25 (developer)
2013.04.03 22:16

http://piwigo.org/forum/viewtopic.php?pid=141890#p141890 [^]
(0006918)
flop25 (developer)
2013.04.11 12:18

see bug:2886

- Issue History
Date Modified Username Field Change
2013.02.13 15:36 flop25 New Issue
2013.02.13 15:36 flop25 browser => any
2013.02.13 15:36 flop25 Web server => Apache 1.3.x
2013.02.13 19:10 flop25 Status new => assigned
2013.02.13 19:10 flop25 Assigned To => flop25
2013.02.13 19:12 svn Checkin
2013.02.13 19:12 svn Note Added: 0006853
2013.02.18 19:46 flop25 Description Updated
2013.02.18 19:46 flop25 Additional Information Updated
2013.02.18 19:55 svn Checkin
2013.02.18 19:55 svn Note Added: 0006855
2013.02.21 21:04 flop25 Status assigned => closed
2013.02.21 21:04 flop25 Resolution open => fixed
2013.02.21 21:04 flop25 Fixed in Version => 2.5.0RC2
2013.04.03 22:16 flop25 Note Added: 0006914
2013.04.03 22:16 flop25 Status closed => feedback
2013.04.03 22:16 flop25 Resolution fixed => reopened
2013.04.03 22:16 flop25 Status feedback => assigned
2013.04.11 12:18 flop25 Note Added: 0006918
2013.04.11 12:18 flop25 Status assigned => closed
2013.04.11 12:18 flop25 Resolution reopened => fixed
2013.04.11 12:22 flop25 Relationship added related to 0002886


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker